package ui

import blt "bearlibterminal"
import "util"

func ReadKey() (string)  {
    var key = blt.Read()
    if !blt.HasInput() {
        return ""
    }
    var modifiers = []int{blt.TK_SHIFT, blt.TK_ALT, blt.TK_CONTROL}
    modifierPressed, _ := util.InArray(key, modifiers)
    var pressed = ""
    if (modifierPressed) {
        pressed ="modifier"
    } else {
        pressed = string(key)
    }

    return pressed
}
